# Generated by Django 2.0.2 on 2018-03-02 19:34

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import gestion.models
import gestion.validate_pdf


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BilleventCache',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.IntegerField(verbose_name="ID de l'élément")),
                ('value', models.CharField(max_length=512, verbose_name="Valeur de l'élément")),
                ('type', models.IntegerField(choices=[(0, 'prixNormal'), (1, 'prixEdu'), (2, 'prixVA'), (3, 'event')], verbose_name="Type de l'élement")),
            ],
        ),
        migrations.CreateModel(
            name='Equipe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom_equipe', models.CharField(max_length=255, verbose_name="Nom de l'équipe")),
                ('status', models.IntegerField(choices=[(0, 'Non complète'), (1, 'Pas validé'), (2, 'Annulée'), (3, 'Validée/Inscrite'), (4, 'Refusée')], default=0, verbose_name="Status de l'équipe")),
            ],
            options={
                'verbose_name': 'Équipe',
            },
        ),
        migrations.CreateModel(
            name='Invitation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254, verbose_name="Adresse de réception de l'invitation")),
                ('utilisable', models.BooleanField(default=True, verbose_name='Peut être utilisée')),
            ],
            options={
                'verbose_name': 'Invitation',
            },
        ),
        migrations.CreateModel(
            name='Participant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('prenom', models.CharField(max_length=255, verbose_name='Prénom')),
                ('nom', models.CharField(max_length=255, verbose_name='Nom')),
                ('telephone_number', models.CharField(max_length=17, validators=[django.core.validators.RegexValidator(message="Phone number must be entered in the format: '+999999999'. Up to 15 digits allowed.", regex='^\\+?1?\\d{9,15}$')], verbose_name='Numéro de téléphone')),
                ('anniv', models.DateField(verbose_name='Date de naissance')),
                ('sexe', models.IntegerField(choices=[(0, 'Unspecified'), (1, 'Homme'), (2, 'Femme')], default=0)),
                ('taille', models.IntegerField(verbose_name='Taille (cm)')),
                ('taille_Tshirt', models.CharField(max_length=255, verbose_name='Taille de T-shirt')),
                ('email', models.EmailField(max_length=255)),
                ('status', models.IntegerField(choices=[(0, 'Pas validé'), (1, 'Valide'), (2, 'Inscrit'), (3, 'Désisté'), (4, 'Refusé')], default=0, verbose_name='Status participant')),
                ('a_paye', models.BooleanField(default=False, verbose_name='Paiement effectué')),
                ('paiement_prevente', models.BooleanField(default=False, verbose_name="A payé lors d'une prévente")),
                ('is_leader', models.BooleanField(default=False, verbose_name='A créé son équipe')),
                ('resp_civile_valide', models.BooleanField(default=False, verbose_name='Attestation de reponsabilité civile validée')),
                ('resp_civile_prevente', models.BooleanField(default=False, verbose_name='Attestation de reponsabilité civile donnée à la prévente')),
                ('resp_civile', models.FileField(blank=True, upload_to=gestion.models.Participant.upload_participant_resp_civile, validators=[gestion.validate_pdf.validate_pdf], verbose_name='Attestation de responsabilité civile')),
                ('certif_medic_valide', models.BooleanField(default=False, verbose_name='Certificat médical validé')),
                ('certif_medic_prevente', models.BooleanField(default=False, verbose_name='Certificat médical donnée à la prévente')),
                ('certif_medic', models.FileField(blank=True, upload_to=gestion.models.Participant.upload_participant_certif_medic, validators=[gestion.validate_pdf.validate_pdf], verbose_name='Certificat médical de non contre-indication à la pratique du raid multisport en compétition.')),
                ('decharge_resp_valide', models.BooleanField(default=False, verbose_name='Décharge de responsabilité  signée')),
                ('decharge_resp_prevente', models.BooleanField(default=False, verbose_name='Décharge de responsabilité donnée à la prévente')),
                ('decharge_resp', models.FileField(blank=True, upload_to=gestion.models.Participant.upload_participant_decharge_resp, validators=[gestion.validate_pdf.validate_pdf], verbose_name='Décharge (autorisation photo, nage, accord avec le règlement)')),
                ('carte_edu_valide', models.BooleanField(default=False, verbose_name='Carte Étudiante validée(pas forcément INSA)')),
                ('carte_edu_prevente', models.BooleanField(default=False, verbose_name='Preuve de carte étudiante donnée à la prévnte')),
                ('carte_edu', models.FileField(blank=True, upload_to=gestion.models.Participant.upload_participant_carte_edu, validators=[gestion.validate_pdf.validate_pdf], verbose_name='Preuve de carte étudiante')),
                ('etudiant_valide', models.BooleanField(default=False, verbose_name='Status étudiant validé (sheerID)')),
                ('etudiant_insa', models.BooleanField(default=False, verbose_name="Étudie (vraiment) à l'INSA")),
                ('departement', models.CharField(choices=[('PC', 'Premier Cycle'), ('IF', 'Informatique'), ('TC', 'Télécom'), ('GM', 'Génie Mécanique'), ('SGM', 'Science et Génie des Matériaux'), ('GI', 'Génie Industriel'), ('BS', 'Biosciences'), ('GE', 'Génie Éléctrique'), ('GCU', 'Génie Civil et Urbanisme'), ('GEN', 'Génie Énergétique et Environnement'), ('EXT', "N'est pas à l'INSA")], default='EXT', max_length=3, verbose_name='Département')),
                ('annee', models.IntegerField(choices=[(0, 'Extérieur'), (1, '1A'), (2, '2A'), (3, '3A'), (4, '4A'), (5, '5A')], default=0, verbose_name="Année d'études")),
                ('numero_VA', models.CharField(blank=True, max_length=255, null=True, verbose_name='Numéro de carte VA si applicable')),
                ('va_valide', models.BooleanField(default=False, verbose_name='Carte VA valide')),
                ('divers', models.CharField(blank=True, max_length=2000, verbose_name='Informations additionnelles')),
                ('client_id', models.IntegerField(blank=True, null=True, verbose_name='ID de client sur Billevent')),
                ('invitation_id', models.IntegerField(blank=True, null=True, verbose_name="ID du lien d'invitation sur billevent")),
                ('invitation_link_sent', models.BooleanField(default=False, verbose_name="Lien d'invitation envoyé")),
                ('equipe', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='participants', to='gestion.Equipe', verbose_name='Équipe')),
                ('user', models.OneToOneField(null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Participant',
            },
        ),
        migrations.AddField(
            model_name='invitation',
            name='emetteur',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='invitations', to='gestion.Participant'),
        ),
        migrations.AddField(
            model_name='invitation',
            name='equipe',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='invitations', to='gestion.Equipe'),
        ),
    ]
